##################################################################
# Disclaimer:                                                    #
# The benefit of using this template is minor. It is adviced     #
# to create the complete deployment task in your playbook for    #
# simplicitly reasons.                                           #
##################################################################
#          Example Usage          #
###################################
# The variables                   #
#   k8s_config,                   #
#   k8s_namespace                 #
# are assumed to be set properly  #
#####################################################################
# - name: "Create My Deployment"                                    #
#   include_tasks: "ansible-templates/k8s_tasks/k8s-deployment.yml" #
#   vars:                                                           #
#     db_cluster_namespace: namespace                               #
#     db_team_name: team                                            #
#     db_cluster_name: db_name                                      #
#     db_cluster_instances: 2                                       #
#     db_persistence_size: 10Gi                                     #
#                                                                   #
#####################################################################


- name: Deploy PostgresSQL database for Postgis via Zalando operator
  k8s:
    namespace: "{{ db_cluster_namespace }}"
    kubeconfig: "{{ k8s_config }}"
    state: present
    definition: 
      "{{ lookup('template', 'templates/postgres/postgres_cluster.yaml') | from_yaml }}"
